var locale = 'en';
var url = 'https://app.puzzley.ir';
var online = true,
    $show_ad = true,
    isDevice = true,
    check = false,
    phone_id = '',
    default_access_page = [],
    trialMode = false,
    $app_data = {
        t: '1608202754',
        version: '0.0.3',
        target_market: "link"
    },
    $app_sl = 'eyJpdiI6IkpueDVINDdKR01SUDBpeUhpTW96bFE9PSIsInZhbHVlIjoiM2FZSkpiSGw3NmhCTm9CUzNyUlZ2RUptR21YQ2tWT0VTUzR1UGxwMWpvQT0iLCJtYWMiOiIwMTU2NzY0NzUwYzIwMTQzMzliNTRkYTJkMzNmM2U2MTFlMjQxZjAwZTBmZmNmMWM3NDA4MzY0NDRjNDUzMDA1In0%3D',
    $device_info = {};

var ngApp = angular.module('ngApp', ['ionic', 'ngResource', 'ngApp.controllers', 'ngApp.services', 'ionic-datepicker'])
    .run(function($ionicPlatform, $rootScope, $ionicLoading, $ionicHistory, $ionicPopup, $state, $ionicModal, $ionicScrollDelegate, $location , Auth) {
        $rootScope.$on('loading:show', function() {
            $ionicLoading.show({
                noBackdrop: true
            });
        });

        $rootScope.isDevice = isDevice;
        // Show IOS tutorial popup
        var showIosTutorialPopup = function (e) {
            if (e.isStandalone) {
                return;
            }

            if (e.isEmulator) {
                return;
            }

            if (!e.isIOS) {
                return;
            }

            if (e.isWebView) {
                return;
            }

            $rootScope.openIOSTutorialModal();
        }

        // Show Android tutorial popup
        var showAndroidTutorialPopup = function (e) {
            if (e.isStandalone) {
                return;
            }

            if (e.isEmulator) {
                return;
            }

            if (!e.isAndroid) {
                return;
            }

            if (e.isWebView) {
                return;
            }

            $rootScope.openAndroidTutorialModal();
        }

        // Check if application load in web app or device
        // ATTENTION: The emulator in explorers is not our
        // target for this feature. just mobile devices.
        var executeDeviceReadyFunctions = function () {
            var event = {
                isAndroid: ionic.Platform.isAndroid(),
                isIOS: ionic.Platform.isIOS(),
                isStandalone: ionic.Platform.isAndroid() ? window.matchMedia('(display-mode: standalone)').matches : window.navigator.standalone === true,
                // We are in the emulator then should not do anythings
                isEmulator: window.location.pathname.match(/^\/mobile\//) ? true : false,
                isWebView: ionic.Platform.isWebView()
            };

            window.platform_info = event;

            // Dispach event
            showIosTutorialPopup(event);
            showAndroidTutorialPopup(event);
                        setTimeout(checkapp, 3000); //wait for app setup completley
            if (false && typeof parent.onSimulatorLoad != "undefined") {
                parent.onSimulatorLoad();
            }
        }

        $rootScope.$on('loading:hide', function() {
            $ionicLoading.hide();
        });

        $rootScope.goToStateWithDisableBack = function (to) {
            $ionicHistory.nextViewOptions({
                    historyRoot: true,
                    disableBack: true
            });
            $state.go(to, {}, {
                location: "replace", 
                reload: true
            });
            setTimeout(function(){
                $ionicHistory.clearHistory();
            },500);
        }

        $rootScope.dataTapStatus = false;

        $ionicPlatform.ready(function() {
            /*Auth.init();*/
                            if( ! Auth.Check()){
                    $rootScope.goToStateWithDisableBack('nav.signup193');
                }
                        // Execute all neccessary function when device was ready
            executeDeviceReadyFunctions();
        });

        $rootScope.backButtonPressedOnceToExit = false;
        $ionicPlatform.registerBackButtonAction(function(e) {
            e.preventDefault();
            if ($rootScope.backButtonPressedOnceToExit) {
                ionic.Platform.exitApp(); 
            } 
                            else if ($rootScope.user && !$rootScope.user.isLogin) {
                    var backView = $ionicHistory.backView();
                    if (backView && ('#' + backView.url) == signupHash) {
                        $ionicHistory.goBack();
                    } else {
                        $rootScope.backButtonPressedOnceToExit = true;
                        showToast(lang('global.press_again_to_exit'), 2000);
                        setTimeout(function() {
                            $rootScope.backButtonPressedOnceToExit = false;
                        }, 2500);
                    }
                }
                        else if (window.location.hash.indexOf("web-page") !== -1) {
                window.history.back();
                if (window.location.hash == homeHash) {
                    $rootScope.backButtonPressedOnceToExit = true;
                    setTimeout(function() {
                        $rootScope.backButtonPressedOnceToExit = false;
                    }, 300);
                }
            } else if ($ionicHistory.backView()) {
                $ionicHistory.goBack();
            } else if (hasHome && window.location.hash != homeHash) {
                $ionicHistory.nextViewOptions({
                    disableBack: true
                });
                window.location.hash = homeHash;
            } else {
                $rootScope.backButtonPressedOnceToExit = true;
                showToast(lang('global.press_again_to_exit'), 2000);
                setTimeout(function() {
                    $rootScope.backButtonPressedOnceToExit = false;
                }, 2500);
            }
            return false;
        }, 101);

        
        $rootScope.$on('$stateChangeStart', function(event, toState, toStateParams, fromState, fromStateParams) {
            if($rootScope.openModal)
                $rootScope.openModal.hide();
                
            $rootScope.hideTabs = false;

                                    if (
                (toState.pageid != 1 && !Auth.CanAccess(toState.pageid)) 
                || (typeof toStateParams.pageid != 'undefined' && !Auth.CanAccess(toStateParams.pageid))
                || (
                    typeof toStateParams.id !== 'undefined' 
                    && toStateParams.id != 1 
                    && !Auth.CanAccess(toStateParams.id) 
                    && toStateParams.func == 'getIndex'
                    )
            ) {
                event.preventDefault();
                if(Auth.Check()) {
                                            $ionicLoading.show({
                            template:'<div class="info"><i class="icon warning ion-ios-information-outline"></i></div><div><p>شما به این صفحه دسترسی ندارید</p></div>'
                        });
                        setTimeout(function () {
                            $ionicLoading.hide();
                        }, 2000);
                                    } else {
                    $ionicPopup.confirm({
                        cssClass: 'signup_pupop',
                        title: 'حساب کاربری',
                        template: '<p>برای دسترسی به این صفحه باید ثبت نام کنید</p>',
                        okText: 'ورود',
                        okType: 'button-clear button-balanced',
                        cancelText: 'انصراف',
                        cancelType: 'button-clear button-assertive',
                    }).then(function(confirm) {
                        if (confirm) {
                            $state.go('nav.signup193');
                        }
                    });
                }
            }                    
                    });

                $rootScope.forceToLoggedIn = function () {
            if (Auth.Check()) {
                return;
            }

            $ionicPopup.confirm({
                cssClass: 'signup_pupop',
                title: 'حساب کاربری',
                template: 'برای دسترسی به این امکان باید حتما وارد شوید',
                okText: 'ورود',
                okType: 'button-clear button-balanced',
                cancelText: 'انصراف',
                cancelType: 'button-clear button-assertive',
            }).then(function(confirm) {
                if (confirm) {
                    $state.go('nav.signup193');
                }
            });
        }

        $rootScope.isUserLoggedIn = function () {
            return Auth.Check();
        }
        
        $rootScope.iOSTutorialModal = $ionicModal.fromTemplate( 
            '<ion-modal-view>' +
                '<ion-content class="webapp-help ios ltr">'+
                    '<div style="display: flex;flex-direction: column;">' +
                        '<div style="flex:1;">' +
                            '<div style="display: flex;justify-content: center; margin-top: 20%;">' +
                                '<img src="/uploads/attachments/Mobile/Model/App/headers/000/121/742/icon40/stapler-8nEeTe.png" style="">' +
                            '</div>' +

                            '<div style="display: flex;justify-content: center;text-align: center;margin: 15px 15%;">' +
                                'وب اپلیکیشن " doorbinet " را به صفحه اصلی موبایل خود اضافه کنید.' +
                            '</div>' +

                            '<div class="theme-bg-simple" style="display: block;width: 80vw;height: 4px;margin: auto;"></div>' +
                            '<div style="margin: 0 10%;">' +
                                '<ul style="margin-top: 10px;">' +
                                    '<li style="line-height:50px">١- در نوار پایین روی دکمه <b>share</b> <svg enable-background="new 0 0 50 50" height="25px" id="Layer_1" version="1.1" viewBox="0 0 50 50" width="25px" xml:space="preserve" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" style="vertical-align: middle;"><polyline fill="none" points="17,10 25,2 33,10   " stroke="#007AFF" stroke-linecap="round" stroke-miterlimit="10" stroke-width="2"></polyline><line fill="none" stroke="#007AFF" stroke-linecap="round" stroke-miterlimit="10" stroke-width="2" x1="25" x2="25" y1="32" y2="2.333"></line><rect fill="none" height="50" width="50"></rect><path d="M17,17H8v32h34V17h-9" fill="none" stroke="#007AFF" stroke-linecap="round" stroke-miterlimit="10" stroke-width="2"></path></svg>  تپ کنید.</li>' +
                                    '<li>۲- در منوی باز شده، در قسمت پایین، گزینه <b>Add to Home Screen</b> را نتخاب کنید.</li>' +
                                    '<img src="/assets/images/add-to-homescreen.png" style="margin-top:25px;margin-bottom:25px;width:100%;">' +
                                    '<li>۳- در مرحله بعد در قسمت بالا روی <b style="color:#007AFF;">Add</b> تپ کنید.</li>' +
                                '</ul>' +
                            '</div>' +
                        '</div>' +
                        
                        '<div style="margin:5px;margin-top: 25px;">' +
                            '<button class="button button-block button-balanced" ng-click="closeIOSTutorialModal()" style="width: 80%;margin: auto;">' +
                                'تایید' +
                            '</button>' +
                        '</div>' +
                    '</div>' +
                '</ion-content>' +

            '</ion-modal-view>', {
                scope: $rootScope,
                animation: 'slide-in-up'
            });

        $rootScope.openIOSTutorialModal = function() {
            $rootScope.iOSTutorialModal.show();
        };
            
        $rootScope.closeIOSTutorialModal = function() {
            $rootScope.iOSTutorialModal.hide();
        };

        $rootScope.androidTutorialModal = $ionicModal.fromTemplate( 
            '<ion-modal-view>' +
                '<ion-content class="webapp-help android ltr">'+
                    '<div style="display: flex;flex-direction: column;">' +
                        '<div style="flex:1;">' +
                            '<div style="display: flex;justify-content: center; margin-top: 20%;">' +
                                '<img src="/uploads/attachments/Mobile/Model/App/headers/000/121/742/icon40/stapler-8nEeTe.png" style="">' +
                            '</div>' +

                            '<div style="display: flex;justify-content: center;text-align: center;margin: 15px 15%;">' +
                                'وب اپلیکیشن " doorbinet " را به صفحه اصلی موبایل خود اضافه کنید.' +
                            '</div>' +

                            '<div class="theme-bg-simple" style="display: block;width: 80vw;height: 4px;margin: auto;"></div>' +
                            '<div style="margin: 0 10%;">' +
                                '<ul style="margin-top:10px;">' +
                                    '<li style="margin:25px 0;">١- در قسمت گوشه سمت راست دکمه <b>settings</b> <svg version="1.1" id="Capa_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 512 512" style="width: 20px;vertical-align: middle;enable-background:new 0 0 512 512;" xml:space="preserve"><g><g><g><circle cx="256" cy="256" r="64"></circle><circle cx="256" cy="448" r="64"></circle><circle cx="256" cy="64" r="64"></circle></g></g></g></svg> را تپ کنید.</li>' +
                                    '<li style="margin-bottom:25px;">۲- در منوی باز شده، در قسمت پایین، گزینه <b>Add to Home Screen</b> را نتخاب کنید.</li>' +
                                    '<li style="margin-bottom:25px;">۳- در قسمت پایین روی <b style="color:#007AFF;">Add</b> تپ کنید.</li>' +
                                '</ul>' +
                            '</div>' +
                        '</div>' +
                        
                        '<div style="margin:5px;margin-top: 25px;">' +
                            '<button class="button button-block button-balanced" ng-click="closeAndroidTutorialModal()" style="width: 80%;margin: auto;">' +
                                'تایید' +
                            '</button>' +
                        '</div>' +
                    '</div>' +
                '</ion-content>' +

            '</ion-modal-view>', {
                scope: $rootScope,
                animation: 'slide-in-up'
            });

        $rootScope.openAndroidTutorialModal = function() {
            $rootScope.androidTutorialModal.show();
        };
            
        $rootScope.closeAndroidTutorialModal = function() {
            $rootScope.androidTutorialModal.hide();
        };

        $rootScope.openImageViewerModal = function(src) {
            $rootScope.imageViewerModal = $ionicModal.fromTemplate( 
                '<div class="modal image-viewer-modal transparent ltr" on-swipe-down="closeImageViewerModal()">'+
                    '<div class="transparent-bar">'+
                        '<div class="back" ng-click="closeImageViewerModal()"><i class="ion-close-round"></i></div>'+
                    '</div>'+
                    '<ion-scroll class="imageContiner" direction="xy" scrollbar-x="false" scrollbar-y="false" zooming="true" min-zoom="1" delegate-handle="imageviewer-zoom-pane" overflow-scroll="false">'+
                        '<span></span>'+
                        '<img ng-src="{{ ImageViewerPhoto }}" on-double-tap="zoom()" />'+
                    '</ion-scroll>'+
                    '<div class="caption rtl">'+
                                                '<div class="photo-download">'+
                            '<a href="{{ ImageViewerPhoto }}" target="_system" download>' +
                                '<i class="ion-android-download"></i>'+
                            '</a>' +
                        '</div>'+
                                                                        '<div class="photoshare" ng-click="shareImage(ImageViewerPhoto)">'+
                            '<i class="ion-android-share-alt"></i>'+
                        '</div>'+
                                            '</div>'+
                '</div>', {
                scope: $rootScope,
                animation: 'slide-in-up',
                hardwareBackButtonClose: true
            });
            $rootScope.ImageViewerPhoto = src;
            $rootScope.imageViewerModal.show();
        };

        $rootScope.imageViewerModal
        $rootScope.shareImage = function(src) {
            window.plugins.socialsharing.share(null, '', src, null);
        };
            
        $rootScope.closeImageViewerModal = function() {
            $rootScope.imageViewerModal.remove();
        };

        $rootScope.inZoom = false;
        $rootScope.zoom = function(){
            if ($rootScope.inZoom) {
                $ionicScrollDelegate.$getByHandle('imageviewer-zoom-pane').zoomTo(1, true);
                $rootScope.inZoom = false;
            } else {
                $ionicScrollDelegate.$getByHandle('imageviewer-zoom-pane').zoomTo(2, true);
                $rootScope.inZoom = true;
            }
        }
        
        $rootScope.activeTrialMode = function(){
            $rootScope.isTrial = true;
            $rootScope.trial_message = 'نسخه دمو - تریال';
            $rootScope.$apply();
            $ionicPopup.alert({
                cssClass: 'trial_pupop',
                title: 'نسخه تست',
                template: 'نسخه تست متن',
                okText: 'تایید',
                okType: 'button-clear button-balanced'
            });
            setInterval(function(){
                showToast('نسخه تست', 2800, 'center');
            }, 60000);
        }
    })

    .config(function($stateProvider, $locationProvider, $urlRouterProvider, $ionicConfigProvider, $httpProvider, $compileProvider) {

                    $ionicConfigProvider.scrolling.jsScrolling(true);
        
        $compileProvider.aHrefSanitizationWhitelist(/^\s*((https?|ftp|mailto|sms|tel|geo|bazaar|store|myket|tg|instagram|javascript):)|(#\/nav\/.*)/);

        $ionicConfigProvider.templates.maxPrefetch(0);
        $ionicConfigProvider.backButton.previousTitleText(false).text('');
        $ionicConfigProvider.navBar.positionSecondaryButtons('right');
        $ionicConfigProvider.navBar.positionPrimaryButtons('left');

        $httpProvider.interceptors.push(function($rootScope, $q) {
            return {
                /* http request show loading */
                request: function(config) {
                    if (typeof config.noLoading == "undefined" || config.noLoading != true) {
                        $rootScope.$broadcast('loading:show');
                    }
                    return config
                },
                /* Hide loading in case any occurred */
                requestError: function(response) {
                    $rootScope.$broadcast('loading:hide');
                    return response
                },
                /* Hide loading once got response */
                response: function(response) {
                    $rootScope.$broadcast('loading:hide');
                    return response
                },
                /* Hide loading if got any response error  */
                responseError: function(response) {
                    $rootScope.$broadcast('loading:hide');
                    return $q.reject(response);
                }
            }
        });

        
        $ionicConfigProvider.navBar.alignTitle('center');

        $stateProvider
            .state('nav', {
                url: '/nav',
                abstract: true,
                templateUrl: 'nav.html',
                controller: 'NavCtrl',
                secured: 0,
                pageid: 1
            })
            .state('nav.widget1', {
                url: '/widget/:widget/:func/:sl/:id',
                views: {
                    'mainContent': {
                        templateUrl: function(params) {
                            return url + '/api/v1/widget/route/' + params.widget + '/' + params.func + '/' + params.sl + '/' + params.id;
                        }
                    }
                },
                secured: 0,
                pageid: 1
            })
            .state('nav.widget2', {
                url: '/widget/:widget/:func/:sl/:id/:extra',
                views: {
                    'mainContent': {
                        templateUrl: function(params) {
                            return url + '/api/v1/widget/route/' + params.widget + '/' + params.func + '/' + params.sl + '/' + params.id + '/' + params.extra;
                        }
                    }
                },
                secured: 0,
                pageid: 1
            })
            .state('nav.widget3', {
                url: '/online/:widget/:func/:pageId/:sl/:id',
                views: {
                    'mainContent': {
                        templateUrl: function(params) {
                            return url + '/api/v1/widget/route/' + params.widget + '/' + params.func + '/' + params.sl + '/' + params.id ;
                        }
                    }
                },
                secured: 0,
                pageid: 1
            })
            .state('nav.watermarkPage', {
                url: "/watermarkPage",
                views: {
                    'mainContent': {
                        templateUrl: 'appwatermark.html'
                    }
                },
                secured: 0,
                pageid: 1
            })
                        
             .state('nav.home-screen790', { url: '/home-screen790', cache: 'true', secured : 0, pageid : '1', views: { 'mainContent': { templateUrl: 'templates/home-screen790.html' } } })  .state('nav.signup193', { url: '/signup193', cache: 'true', secured : 0, pageid : '1', views: { 'mainContent': { templateUrl: 'templates/signup193.html' } } })  .state('nav.advance-news338', { url: '/advance-news338', cache: 'true', secured : 0, pageid : '667481', views: { 'mainContent': { templateUrl: 'templates/advance-news338.html' } } })  .state('nav.advance-news338list', { url: '/advance-news338/list/:sl/:searchFilters/:config', cache: 'true', secured : 0, pageid : '667481', views: { 'mainContent': { templateUrl: 'templates/advance-news338-list.html' } } })  .state('nav.advance-form778', { url: '/advance-form778', cache: 'true', secured : 0, pageid : '677490', views: { 'mainContent': { templateUrl: 'templates/advance-form778.html' } } })  .state('nav.menu311', { url: '/menu311', cache: 'true', secured : 0, pageid : '677495', views: { 'mainContent': { templateUrl: 'templates/menu311.html' } } })  .state('nav.menu303', { url: '/menu303', cache: 'true', secured : 0, pageid : '677496', views: { 'mainContent': { templateUrl: 'templates/menu303.html' } } })  .state('nav.wordpress2152', { url: '/wordpress2152', cache: 'true', secured : 0, pageid : '684606', views: { 'mainContent': { templateUrl: 'templates/wordpress2152.html' } } })  .state('nav.wordpress2152post', { url: '/wordpress2152/post/:pageId/:postId', cache: 'true', secured : 0, pageid : '684606', views: { 'mainContent': { templateUrl: 'templates/wordpress2152-post.html' } } })  .state('nav.wordpress2152category', { url: '/wordpress2152/category/:catId', cache: 'true', secured : 0, pageid : '684606', views: { 'mainContent': { templateUrl: 'templates/wordpress2152-category.html' } } })  .state('nav.wordpress2152tag', { url: '/wordpress2152/tag/:tagId', cache: 'true', secured : 0, pageid : '684606', views: { 'mainContent': { templateUrl: 'templates/wordpress2152-tag.html' } } })  .state('nav.wordpress2152comments', { url: '/wordpress2152/comments/:pageId/:postId', cache: 'true', secured : 0, pageid : '684606', views: { 'mainContent': { templateUrl: 'templates/wordpress2152-comments.html' } } })  .state('nav.aparat162', { url: '/aparat162', cache: 'true', secured : 0, pageid : '678092', views: { 'mainContent': { templateUrl: 'templates/aparat162.html' } } })  .state('nav.menu465', { url: '/menu465', cache: 'true', secured : 0, pageid : '678094', views: { 'mainContent': { templateUrl: 'templates/menu465.html' } } })  .state('nav.aparat812', { url: '/aparat812', cache: 'true', secured : 0, pageid : '678095', views: { 'mainContent': { templateUrl: 'templates/aparat812.html' } } })  .state('nav.aparat825', { url: '/aparat825', cache: 'true', secured : 0, pageid : '678100', views: { 'mainContent': { templateUrl: 'templates/aparat825.html' } } })  .state('nav.aparat696', { url: '/aparat696', cache: 'true', secured : 0, pageid : '678102', views: { 'mainContent': { templateUrl: 'templates/aparat696.html' } } })  .state('nav.aparat687', { url: '/aparat687', cache: 'true', secured : 0, pageid : '678103', views: { 'mainContent': { templateUrl: 'templates/aparat687.html' } } })  .state('nav.aparat906', { url: '/aparat906', cache: 'true', secured : 0, pageid : '678105', views: { 'mainContent': { templateUrl: 'templates/aparat906.html' } } })  .state('nav.news862', { url: '/news862', cache: 'true', secured : 0, pageid : '678366', views: { 'mainContent': { templateUrl: 'templates/news862.html' } } })  .state('nav.news640', { url: '/news640', cache: 'true', secured : 0, pageid : '678382', views: { 'mainContent': { templateUrl: 'templates/news640.html' } } })  .state('nav.menu711', { url: '/menu711', cache: 'true', secured : 0, pageid : '678415', views: { 'mainContent': { templateUrl: 'templates/menu711.html' } } })  .state('nav.about-us271', { url: '/about-us271', cache: 'true', secured : 0, pageid : '678418', views: { 'mainContent': { templateUrl: 'templates/about-us271.html' } } })  .state('nav.forms932', { url: '/forms932', cache: 'true', secured : 0, pageid : '678431', views: { 'mainContent': { templateUrl: 'templates/forms932.html' } } })  .state('nav.menu812', { url: '/menu812', cache: 'true', secured : 0, pageid : '683878', views: { 'mainContent': { templateUrl: 'templates/menu812.html' } } })  .state('nav.rss628', { url: '/rss628', cache: 'true', secured : 0, pageid : '683871', views: { 'mainContent': { templateUrl: 'templates/rss628.html' } } })  .state('nav.rss431', { url: '/rss431', cache: 'true', secured : 0, pageid : '683874', views: { 'mainContent': { templateUrl: 'templates/rss431.html' } } })  .state('nav.rss959', { url: '/rss959', cache: 'true', secured : 0, pageid : '683876', views: { 'mainContent': { templateUrl: 'templates/rss959.html' } } })  .state('nav.wordpress2730', { url: '/wordpress2730', cache: 'true', secured : 0, pageid : '684023', views: { 'mainContent': { templateUrl: 'templates/wordpress2730.html' } } })  .state('nav.wordpress2730post', { url: '/wordpress2730/post/:pageId/:postId', cache: 'true', secured : 0, pageid : '684023', views: { 'mainContent': { templateUrl: 'templates/wordpress2730-post.html' } } })  .state('nav.wordpress2730category', { url: '/wordpress2730/category/:catId', cache: 'true', secured : 0, pageid : '684023', views: { 'mainContent': { templateUrl: 'templates/wordpress2730-category.html' } } })  .state('nav.wordpress2730tag', { url: '/wordpress2730/tag/:tagId', cache: 'true', secured : 0, pageid : '684023', views: { 'mainContent': { templateUrl: 'templates/wordpress2730-tag.html' } } })  .state('nav.wordpress2730comments', { url: '/wordpress2730/comments/:pageId/:postId', cache: 'true', secured : 0, pageid : '684023', views: { 'mainContent': { templateUrl: 'templates/wordpress2730-comments.html' } } })  .state('nav.rss156', { url: '/rss156', cache: 'true', secured : 0, pageid : '685046', views: { 'mainContent': { templateUrl: 'templates/rss156.html' } } })  .state('nav.rss725', { url: '/rss725', cache: 'true', secured : 0, pageid : '684595', views: { 'mainContent': { templateUrl: 'templates/rss725.html' } } })  .state('nav.rss423', { url: '/rss423', cache: 'true', secured : 0, pageid : '684882', views: { 'mainContent': { templateUrl: 'templates/rss423.html' } } })  .state('nav.rss361', { url: '/rss361', cache: 'true', secured : 0, pageid : '684128', views: { 'mainContent': { templateUrl: 'templates/rss361.html' } } })  .state('nav.rss494', { url: '/rss494', cache: 'true', secured : 0, pageid : '684610', views: { 'mainContent': { templateUrl: 'templates/rss494.html' } } })  .state('nav.rss590', { url: '/rss590', cache: 'true', secured : 0, pageid : '684612', views: { 'mainContent': { templateUrl: 'templates/rss590.html' } } })  .state('nav.rss753', { url: '/rss753', cache: 'true', secured : 0, pageid : '684878', views: { 'mainContent': { templateUrl: 'templates/rss753.html' } } })  .state('nav.rss116', { url: '/rss116', cache: 'true', secured : 0, pageid : '684879', views: { 'mainContent': { templateUrl: 'templates/rss116.html' } } })  .state('nav.rss224', { url: '/rss224', cache: 'true', secured : 0, pageid : '684880', views: { 'mainContent': { templateUrl: 'templates/rss224.html' } } }) 
        
                    .state('nav.feed', {
                url: "/feeds/:entryId/:hashCode",
                views: {
                    'mainContent': {
                        template: '<ion-view title="{{entry.title}}"><ion-content class="">	<h3 class="transparent header-product title item_name position-relative margin-top-header item-contact"> {{entry.title}} </h3><div class="transparent feed tabs-contents item-contact"><div class="inform" ng-show="entry.author"><i class="ion-person"></i><span ng-bind-html="entry.author"></span></div><p ng-bind-html="entry.content" class="feedcontent"></p><a class="category" ng-repeat="category in entry.categories">{{category}}</a><center><button class="icon-left ion-share button-custom item-circle2" ng-click="loadURL()"></button></center> </div></ion-content></ion-view>',
                        controller: 'FeedCtrl'
                    }
                },
                secured: 0,
                pageid: 1
            })
        
                ;
        $urlRouterProvider.otherwise('/nav/home-screen790');
    });

    var appsetting = {};

function saveSetting() {
    localStorage.app121742setting = JSON.stringify(appsetting)
}

document.addEventListener("online", function() {
    online = true;
}, false);
document.addEventListener("offline", function() {
    online = false;
}, false);
function isOnline() {
    return online;
}

var homeHash = "#/nav/home-screen790";
var homeState = "nav.home-screen790";
var hasHome = true;
/* iap message */
    var signupHash = "#/nav/signup193";

function checkapp() {
    if (!check) {
        if (typeof device == "object") {
            $device_info.platform = device.platform;
            $device_info.version = device.version;
            $device_info.uuid = device.uuid;
            $device_info.model = device.model;
        }
        check = true;
        $.post(url + '/api/v1/app/check-app/wmVzz',{
            device: $device_info,
            platform: window.platform_info,
            app_data : $app_data
        })
            .done(function(data) {
                if (typeof(data.active) != 'undefined' && data.active == 0) {
                    alert('این اپلیکیشن غیر فعال است.');
                    window.localStorage['active'] = 'notActive';
                    ionic.Platform.exitApp();
                } else if (typeof(data.active) != 'undefined' && data.active == 1) {
                    window.localStorage['active'] = true;
                }
            }).fail(function() {
                if (window.localStorage['active'] == 'notActive') {
                    alert('این اپلیکیشن غیر فعال است.');
                    ionic.Platform.exitApp();
                }
                check = false;
            });
    }
}
document.addEventListener("deviceready", function() {
    setTimeout(function() {
        if (window.localStorage['active'] == 'notActive') {
            alert('این اپلیکیشن غیر فعال است.');
            ionic.Platform.exitApp();
        }
    }, 10000);
    document.addEventListener("online", function() {
        setTimeout(checkapp, 3000);
    }, false);
    isDevice = true;
    var $rootScope = angular.element(document.body).injector().get('$rootScope');
    $rootScope.isDevice = true;
    $rootScope.$apply();
    setTimeout(function() {
        $('body').on('click', 'a[target="_system"]', function(e) {
            e.preventDefault();
            var src = $(this).attr("href");
            window.open(src, '_system');
        });
        $('body').on('click', 'a[target="_blank"]', function(e) {
            e.preventDefault();
            var src = $(this).attr("href");
            window.open(src, '_system');
        });
    }, 3000);

    if (trialMode) {
        $rootScope.activeTrialMode();
    }
});


setTimeout(function(){
    $.ajaxSetup({
        beforeSend: function(xhr) {
            var user = angular.element(document.body).injector().get('$rootScope').user;
            if (user && user.isLogin) {
                var token = user.token;
                if(typeof token != "undefined" && token != '')
                    xhr.setRequestHeader('X-auth-token', token);
            }
        }
    }); 
},3000);

var logArray = ['','','','',''];
function showLog(message) {
    logArray.shift();
    logArray.push(message);
    var x = document.getElementById("toastMessage");
    x.innerHTML = logArray.join('<br>');
    x.className = "show";
    setTimeout(function () {
        x.className = x.className.replace("show", "");
    }, 3000);
}

setTimeout(function () {
    $('body').on('click', '.image-viewer img', function() {
        if (!$(this).parents('a').length && (this.naturalWidth >= 50 || this.naturalHeight >= 50)) {
            var src = $(this).attr('src');
            angular.element(document.body).injector().get('$rootScope').openImageViewerModal(src);
        }
    });
}, 1000);
